<bugID>597807<Summary>CSR only loads first batch of tabs when initially focused tab is an "about:" URI</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b7pre) Gecko/20100918 Firefox/4.0b7pre
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b7pre) Gecko/20100918 Firefox/4.0b7pre

Cascaded Session Restore (bug 586068) only loads the first batch of tabs (4 in my case, 3 by default) when the first focused tab is an "about:" URI (tested with about:blank and about:mozilla in a clean profile).

Reproducible: Always

Steps to Reproduce:
1. Open at least N+1 tabs (where N is the value of browser.sessionstore.max_concurrent_tabs), and then click the "new tab" button.
2. Close Firefox, choosing "Save and Quit"
3. Open Firefox, and note that any tabs after N never load (until they're clicked).</Description></bugID>